import { jsx } from "react/jsx-runtime";
import { TokenUPP as TokenUPP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUPP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "UPP", "data-name": "TokenUPP", ...props, children: /* @__PURE__ */ jsx(TokenUPP$1, { variant }) });
  }
);
TokenUPP.displayName = "TokenUPP";
Object.assign(TokenUPP, { isGdsIcon: true });
export {
  TokenUPP
};
